{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Adminsys
    iotop
    lm_sensors
    lshw
    lsof
    ntp
    powerline-fonts
    powertop
    python27Packages.ansible2
    python27Packages.glances
    usbutils

    # DNS
    unbound

    # Compression
    lz4
    lzop

    # Système de fichier
    ## Montage de filesystem
    curlftpfs     # ftp
    ntfs3g        # ntfs
    sshfsFuse     # ssh

    ## Gestion de FS
    gparted
    nfs-utils

    ## Exploitation FS
    inotify-tools # être notifié lorsque le contenu d'un répertoire change
    rdfind        # recherche de fichiers doublons pour remplacement par hard/soft link

    #
    unetbootin    # création de clefs USB bootables
  ];
}
